       IDENTIFICATION DIVISION.
       PROGRAM-ID. Example.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01  WS-RES   PIC  9(5).
       01  WS-RES2  PIC  Z9.
       PROCEDURE DIVISION.
           COMPUTE WS-RES = 33.
           DISPLAY "[DEBUG] WS-RES          = " WS-RES.
      * ----------------------------------------------------------------
      * Interprétation du résultat.
      * ----------------------------------------------------------------
           DISPLAY "Le dimanche de Pâques est le " WITH NO ADVANCING.
           IF WS-RES > 31 THEN
               COMPUTE WS-RES = WS-RES - 31
               IF WS-RES = 1 THEN
                   DISPLAY "1er avril."
               ELSE
                   MOVE WS-RES TO WS-RES2
                   DISPLAY FUNCTION TRIM(WS-RES2) " avril."
               END-IF
           ELSE
               MOVE WS-RES TO WS-RES2
               DISPLAY FUNCTION TRIM(WS-RES2) " mars."
           END-IF.
      * ----------------------------------------------------------------
           STOP RUN.
